hwy::HWY_NAMESPACE::ForPartialVectors< Test > Class Template Reference

`#include <test_util-inl.h>`

## Public Member Functions

| ~ForPartialVectors ()
template<typename T >
void | operator() (T t) const

## Private Attributes

bool | called_ = false

## Constructor & Destructor Documentation

## ~ForPartialVectors()

template<class Test >

hwy::HWY_NAMESPACE::ForPartialVectors< Test >::~ForPartialVectors | ( |  | ) |

inline

References hwy::HWY_NAMESPACE::ForPartialVectors< Test >::called_, and HWY_ABORT.

## Member Function Documentation

## operator()()

template<class Test >
template<typename T >

void hwy::HWY_NAMESPACE::ForPartialVectors< Test >::operator() | ( | T | t | ) | const

inline

References hwy::HWY_NAMESPACE::ForPartialVectors< Test >::called_, and hwy::HWY_NAMESPACE::detail::ForeachCappedR< T, kMul, kMinArg, Test >::Do().

## Member Data Documentation

## called_

template<class Test >

bool hwy::HWY_NAMESPACE::ForPartialVectors< Test >::called_ = false

mutable private

Referenced by hwy::HWY_NAMESPACE::ForPartialVectors< Test >::operator()(), and hwy::HWY_NAMESPACE::ForPartialVectors< Test >::~ForPartialVectors().

The documentation for this class was generated from the following file:

- test_util-inl.h